aboutsummaryrefslogtreecommitdiff
path: root/x11/cde/files/dtcms.in
diff options
context:
space:
mode:
Diffstat (limited to 'x11/cde/files/dtcms.in')
-rw-r--r--x11/cde/files/dtcms.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/x11/cde/files/dtcms.in b/x11/cde/files/dtcms.in
new file mode 100644
index 000000000000..9cfd44dce07c
--- /dev/null
+++ b/x11/cde/files/dtcms.in
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# $FreeBSD$
+#
+# PROVIDE: dtcms
+# REQUIRE: rpcbind
+# KEYWORD: shutdown
+
+# Add the following line to /etc/rc.conf to enable dtcms:
+#
+# dtcms_enable=YES
+
+. /etc/rc.subr
+
+name=dtcms
+rcvar=dtcms_enable
+desc="CDE calendar manager service daemon"
+start_precmd="force_depend rpcbind || exit 1"
+
+load_rc_config $name
+
+: ${dtcms_enable:=NO}
+
+command=/usr/sbin/daemon
+pidfile=/var/run/dtcms.pid
+command_args="-P $pidfile %%PREFIX%%/dt/bin/rpc.cmsd"
+
+run_rc_command $1